Tickets
1 min
GET
https://tnapi.ticketpay.de/exports/tickets
Query Parameters
- fromstringExampleDescription
- tostringExampleDescription
- filter_bystringExampleDescription
- time_periodstringDescription
- time_rangeintegerDescription
- shop_order_idintegerDescription
- shop_idintegerDescription
- event_idintegerDescription
- sso_user_idstringDescription
- statusstringDescription
- ticketnumberstringDescription
- emailstringDescription
- per_pageintegerDescription
- pageintegerDescription
Header Parameters
- AuthorizationstringrequiredDescription
Responses
200
- get_tickets
- totalintegerExample
- pageintegerExample
- sizeintegerExample
- dataobject[]
- idintegerExample
- valid_fromstringExample
- valid_untilstringExample
- statusstringExample
- shop_idintegerExample
- created_isostringExample
- updated_isostringExample
- event_idintegerExample
- additional_fieldsobject[]
- show1booleanExample
- field1stringExample
- field1_valstringExample
- show2boolean
- field2string
- field2_valstring
- ageintegerExample
- barcode_valuestringExample
- birthdaystringExample
- channelstringExample
- checked_inboolean
- checked_outboolean
- citystringExample
- countrystringExample
- ds_confirmationstringExampleDescription
- firstnamestringExample
- lastnamestringExample
- genderstringExample
- has_questionsbooleanExample
- mailstringExample
- matching_idintegerExample
- matching_requiredbooleanExample
- newsletterbooleanExample
- order_informationstringExample
- original_pricefloatExample
- paidbooleanExample
- personalization_duestringExample
- personalizebooleanExample
- personalize_statusstringExample
- pricefloatExample
- phonestringExample
- qrcode_valuestringExample
- questions_answeredboolean
- questions_answersobject[]Example
[ [ "Bist du ein Fan?", "yes" ], [ "Do you need entry support?", "Maybe" ] ] - questions_countinteger
- seatstringExample
- source_item_idintegerExample
- source_item_typestringExample
- shop_order_idintegerExample
- sso_user_idstringExample
- start_numberstringExample
- streetstringExample
- tagsstringExample
- team_idintegerExample
- team_namestringExample
- ticket_downloadsintegerExample
- ticket_feefloatExample
- ticket_linkstringExample
- ticket_namestringExample
- ticket_typestringExample
- ticketnumberstringExample
- vat_percentagefloatExample
- zipstringExample
401
- not_authorized
- messagestringExample
curl
curl --request GET \
--url https://tnapi.ticketpay.de/exports/tickets \
--header 'accept: application/json' \
--header 'authorization: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("authorization", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://tnapi.ticketpay.de/exports/tickets", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://tnapi.ticketpay.de/exports/tickets")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["authorization"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://tnapi.ticketpay.de/exports/tickets"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'authorization': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Response for get tickets.
{
"total": 157,
"page": 1,
"size": 157,
"data": [
{
"id": 6256520,
"valid_from": "2023-07-28T20:00:00+02:00",
"valid_until": "2023-07-28T22:00:00+02:00",
"status": "approved",
"shop_id": 14669,
"created_iso": "2022-02-26T19:29:42+01:00",
"updated_iso": "2022-02-26T19:29:43+01:00",
"event_id": 78001,
"additional_fields": [
{
"show1": true,
"field1": "Startzeit",
"field1_val": "12:40",
"show2": false,
"field2": "",
"field2_val": ""
}
],
"age": 29,
"barcode_value": "992LFU8HB",
"birthday": "05.12.1999",
"channel": "shop",
"checked_in": false,
"checked_out": false,
"city": "Hamm",
"country": "DE",
"ds_confirmation": "open",
"firstname": "Max",
"lastname": "Mustermann",
"gender": "m",
"has_questions": true,
"mail": "[email protected]",
"matching_id": 1548851,
"matching_required": true,
"newsletter": true,
"order_information": "Max Mustrmann,Neue Bahnhofstr. 1-3,DE 59065 Hamm",
"original_price": 119,
"paid": true,
"personalization_due": "2023-07-28T20:00:00+02:00",
"personalize": true,
"personalize_status": "not_necessary",
"price": 100,
"phone": 238112345678,
"qrcode_value": "992LFU8HB",
"questions_answered": false,
"questions_answers": [
{}
],
"questions_count": 0,
"seat": "Reihe 2-Sitz 15",
"source_item_id": 11708,
"source_item_type": "EventTicket",
"shop_order_id": 322333,
"sso_user_id": "subject_21345rez113323",
"start_number": 1250,
"street": "Neue Bahnhofstr. 1-3",
"tags": "premium,early",
"team_id": "1324,",
"team_name": "The one and only",
"ticket_downloads": 2,
"ticket_fee": 1.99,
"ticket_link": "https://my.ticketpay.de/ticket/d74932836fabe97fe83746bbad880833/",
"ticket_name": "Early Bird Ticket",
"ticket_type": "print",
"ticketnumber": "992LFU8HB",
"vat_percentage": 0.19,
"zip": 59065
}
]
}401
// Response for a failed authentification.
{
"message": "Unauthorized"
}